import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A class to display a frame with stuff in it.
 * This version is like 3a, but adds a second button (in a JPanel);
 * both buttons are handled by the GraphicTestbed object itself.
 * 
 * @author Steve Bloch 
 * @version v4a oct. 12
 */
public class GraphicTestbed implements ActionListener
{
    private int counter = 0;
    private JButton nextButton, quitButton;
    
    public GraphicTestbed() {
        final int WIDTH = 300;
        final int HEIGHT = 200;
        JFrame frame = new JFrame();
        
        frame.setSize(WIDTH, HEIGHT);
        frame.setTitle("Dumb example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // frame.setLayout (new FlowLayout());
        
        JPanel buttons = new JPanel();
        frame.add (buttons);
        this.nextButton = new JButton("Next");
        buttons.add(this.nextButton);
        this.quitButton = new JButton ("Quit");
        buttons.add(this.quitButton);
        nextButton.addActionListener (this);
        quitButton.addActionListener (this);


        
        frame.setVisible(true);
    }
    
    public static void display ()
    {
        new GraphicTestbed();
    }
    public void actionPerformed (ActionEvent e)
    {
        if (e.getSource() == this.nextButton) {
            System.out.println ("Counter = " + this.counter);
            ++counter;
        }
        else if (e.getSource() == this.quitButton) {
            System.exit(0);
        }
        else {
            System.err.println ("Unrecognized button!");
        }
    }
    
}
